| Home | Libraries | People | FAQ | More

## Struct template version

boost::icl::version

## Synopsis

    // In header: <boost/icl/functors.hpp>

    template<typename Combiner>
    struct version : public boost::icl::conversion< Combiner > {
      // types
      typedef version< Combiner >      type;
      typedef conversion< Combiner >   base_type;
      typedef base_type::argument_type argument_type;

      // public member functions
      argument_type operator()(const argument_type &);
    };

## Description

### `version` public member functions

1.     argument_type operator()(const argument_type & value);